Subject: Re: [bug#37269] Acknowledgement ([PATCH] build-system/asdf: Add option to compress programs.)

From: Pierre Neidhardt <[email-masked]>
Date: Wed, 04 Sep 2019 14:54:06 +0200

Ludovic Courtès <[email-masked]> writes:

> Compressed files are opaque to the garbage collector scanner and to
> grafting, so we could end up in situations like:
>
>   https://issues.guix.gnu.org/issue/33848
>
> (Which would be nice to address, BTW! :-))
>
> Thus, I think we’ll have keep compression turned off.

Actually, in this case it doesn't.  I tried with Next and the resulting
package keeps all references to the Common Lisp libraries.
I believe that SBCL only compresses the image, not the sources (which are
embedded as well).

Anyways, I won't turn it off for now.

-- 
Pierre Neidhardt
https://ambrevar.xyz/